import request from '@/utils/request'

// 查询异常日志列表
export function list(query) {
  return request({
    url: '/authority/monitor/operlog/list',
    method: 'get',
    params: query
  })
}

// 删除异常日志
export function delErrLog(operId) {
  return request({
    url: '/authority/monitor/operlog/' + operId,
    method: 'delete'
  })
}

// 清空异常日志
export function cleanErrLog() {
  return request({
    url: '/authority/monitor/operlog/clean/1',
    method: 'delete'
  })
}

// 导出异常日志
export function exportErrLog(query) {
  return request({
    url: '/authority/monitor/operlog/export',
    method: 'get',
    params: query
  })
}

